// Header

.header {
  .nav_bar-top {
    padding-top: 20px;
    padding-bottom: 20px;
    @include flex($justify: space-between);

    .box_logo {
      max-width: 105px;
      img {
        height: auto;
      }
    }

    .nav_bar-menu {
      @include flex();
      .nav-menu {
        max-width: 800px;
        @include flex();

        .nav-item {
          margin-right: 60px;
          &:nth-child(4) {
            margin: 0;
          }
          @media (min-width: $tablet) {
            margin-right: 40px;
          }

          :nth-child(3) {
            margin: 0;
          }

          a {
            font-family: $font-primary;
            font-size: 14px;
            font-weight: 400;
            line-height: 18px;
            color: $primary-color;

            &:hover {
              color: $color_lang;
            }
          }
        }
      }
    }

    .nav_lang {
      max-width: 65px;
      @include flex($justify: space-between);

      .nav-item {
        cursor: pointer;
        position: relative;
        &:nth-child(1)::before {
          content: "";
          display: block;
          position: absolute;
          left: 32px;
          width: 1px;
          height: 20px;
          background-color: $color_lang;
        }
      }

      a {
        font-family: $font-primary;
        color: $primary-color;
        font-weight: 400;
        font-size: 15px;
        line-height: 20px;

        &:hover {
          color: $color_lang;
        }
      }
    }
  }

  .nav_bar_searh {
    background-color: $primary-color_bg;
    padding-top: 16px;
    padding-bottom: 16px;

    .navbar {
      overflow: unset;

      .navbar-collapse {
        @include flex($justify: space-between);

        .custom_navbar {
          max-width: 270px;
          background-color: $secondary-color_bg;
          border-radius: 2px;
          border: 2px solid$secondary-color_bg;
          margin-right: 30px;

          .nav-item {
            @include flex($justify: start);

            padding: 14px;
            &:hover > .submenu {
              visibility: visible;
              opacity: 1;
              transform: translateY(0px);
            }

            .box_dropdown_line {
              @include flex($direction: column);
              position: relative;
              margin-right: 15px;

              .dropdown_line {
                width: 20px;
                height: 2px;
                margin-top: 3px;
                border-radius: 2px;
                background-color: $secondary-color;
              }
            }

            .active {
              padding: 0;
              color: $secondary-color;
              font-size: 15px;
              font-weight: 500;
            }

            .submenu {
              text-align: start;
              background: $white-color_bg;
              width: calc(100% - 80%);
              position: absolute;
              left: 97px;
              top: 52px;
              z-index: 5;
              visibility: hidden;
              opacity: 0;
              transform: translateY(10px);
              transition: 0.3s ease-in-out;
              border-radius: 2px;

              &_nav-item {
                cursor: pointer;
                &:hover {
                  background-color: $secondary-color_bg;
                  color: $secondary-color;
                }
                position: relative;
                padding: 13px;
                margin: 0;
                border-bottom: 2px solid $grey-color_bg;

                &:hover > .submenu {
                  visibility: visible;
                  opacity: 1;
                  transform: translateY(0px);
                }
                &:hover > .submenu-link {
                  color: $secondary-color;
                }
                .submenu-link {
                  padding: 0;
                  color: $primary-color;
                  font-size: 15px;
                  font-weight: 500;
                }
              }

              .submenu {
                position: absolute;
                top: 0;
                left: calc(100% - 2px);
                width: calc(100% - 2%);
              }
            }
          }
        }

        .custom_form {
          height: 46px;
          max-width: 870px;

          .form-control {
            border: 1px solid$grey-color_bg;
            border-radius: 1px 0 0 1px;
            max-width: 770px;
          }

          .custom_btn {
            max-width: 99px;
            background-color: $secondary-color_bg;
            font-size: 15px;
            color: $secondary-color;
            font-weight: 500;
            padding: 13px 28px;
            border-radius: 0 1px 1px 0;
          }
        }
      }
    }
  }
}
